/* LEARN24.REX -- general-purpose number base conversions */

SAY "Enter value to convert:"
PULL n

/* convert from ASCII if only one character was entered */
IF Length(n) = 1 THEN DO
   SAY '['n'] ASCII   -> Decimal = ' C2d(n)
   SAY '['n'] ASCII   -> Hex     = ' C2x(n)
   END

/* convert from decimal if valid number was entered */
IF Datatype(n,'N') THEN DO
   SAY '['n'] Decimal -> ASCII   = ' D2C(n)
   SAY '['n'] Decimal -> Hex     = ' D2x(n)
   END

/* convert from hex if valid hex number was entered */
IF Datatype(n,'X') THEN DO
   SAY '['n'] Hex     -> ASCII   = ' X2C(n)
   SAY '['n'] Hex     -> Decimal = ' X2d(n)
   END

/* END LEARN24.REX */
