/*
* UNIQUE - Read sorted list and remove multiple occurrences of identical lines.
* Format: UNIQUE infile outfile
*   or    UNIQUE <infile >outfile
* Example: SORT <LETTER.TXT | REXX UNIQUE >UNIQUE.WRD
*/
arg infile outfile
call dosdel outfile
if lines(infile) \= 0 then do
   last = linein(infile)
   call lineout outfile, last
   end
do while lines(infile) \= 0
   line = linein(infile)
   if line \= last then do
      call lineout outfile, line
      last = line
      end
   end
call lineout outfile
